{pkgs, modulesPath, ...}:
{
  imports = [
    "${modulesPath}/virtualisation/qemu-vm.nix"
  ];
  networking.hostName = "riversong";
  virtualisation = {
    forwardPorts = [
      { from = "host"; host.port = 2222; guest.port = 22; }
      { from = "host"; host.port = 8888; guest.port = 80; }
    ];
    graphics = true;
    qemu.options = [
      "-bios" "${pkgs.OVMF.fd}/FV/OVMF.fd"
      "-audiodev" "driver=pa,id=default"
      "-device" "intel-hda"
      "-device" "hda-output,audiodev=default"
    ];
  };
  services.qemuGuest.enable = true;
}
